Package org.eclipse.ecf.remoteservice.client

# Class AbstractRSAClientService.RSARemoteCall

java.lang.Object
org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteCall
org.eclipse.ecf.remoteservice.RemoteCall
org.eclipse.ecf.remoteservice.client.AbstractRSAClientService.RSARemoteCall

All Implemented Interfaces:
  `IRemoteCall`

Enclosing class:
  AbstractRSAClientService

public static class AbstractRSAClientService.RSARemoteCall extends RemoteCall

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.RemoteCall

`method, parameters, timeout`

### Fields inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`DEFAULT_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`RSARemoteCall(Object proxy, Method method, String methodName, Object[] parameters, long timeout)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProxy()`
`Method`
`getReflectMethod()`

### Methods inherited from class org.eclipse.ecf.remoteservice.RemoteCall

`getMethod, getParameters, getTimeout, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RSARemoteCall

public RSARemoteCall(Object proxy, Method method, String methodName, Object[] parameters, long timeout)

## Method Details

### getReflectMethod

public Method getReflectMethod()

### getProxy

public Object getProxy()